monitor=eDP-1,preferred,auto,1.33
monitor=,preferred,auto,1.25

$mainMod = SUPER

bind = $mainMod + SHIFT + CTRL, Q, exit,
bind = $mainMod + CTRL, H, workspace, -1
bind = $mainMod + CTRL, L, workspace, +1
bind = $mainMod + SHIFT, H, movetoworkspace, -1
bind = $mainMod + SHIFT, L, movetoworkspace, +1

# Add super as an alternative mainMod for when I plug in a keyboard
$altMod = CTRL + SHIFT + ALT

bind = $altMod + SUPER, Q, exit,
bind = $altMod, M, workspace, -1
bind = $altMod, comma, workspace, +1

# Example binds, see https://wiki.hyprland.org/Configuring/Binds/ for more
bind = $altMod, return, exec, kitty
bind = $altMod, Q, exec, ${closer}/bin/closer
bind = $altMod, D, exec, tofi-drun --drun-launch=true
bind = $altMod SHIFT, S, exec, grim -g "$(slurp)"

# Move focus with altMod + vim keys
bind = $altMod, H, movefocus, l
bind = $altMod, L, movefocus, r
bind = $altMod, K, movefocus, u
bind = $altMod, J, movefocus, d

# Move focus with altMod + vim keys
bind = $altMod, left, movewindow, l
bind = $altMod, right, movewindow, r
bind = $altMod, up, movewindow, u
bind = $altMod, down, movewindow, d

# Switch workspaces with altMod + [0-9]
bind = $altMod, 1, workspace, 1
bind = $altMod, 2, workspace, 2
bind = $altMod, 3, workspace, 3
bind = $altMod, 4, workspace, 4
bind = $altMod, 5, workspace, 5
bind = $altMod, 6, workspace, 6
bind = $altMod, 7, workspace, 7
bind = $altMod, 8, workspace, 8
bind = $altMod, 9, workspace, 9
bind = $altMod, 0, workspace, 10

# Move active window to a workspace with altMod + SHIFT + [0-9]
bind = $altMod SHIFT, 1, movetoworkspace, 1
bind = $altMod SHIFT, 2, movetoworkspace, 2
bind = $altMod SHIFT, 3, movetoworkspace, 3
bind = $altMod SHIFT, 4, movetoworkspace, 4
bind = $altMod SHIFT, 5, movetoworkspace, 5
bind = $altMod SHIFT, 6, movetoworkspace, 6
bind = $altMod SHIFT, 7, movetoworkspace, 7
bind = $altMod SHIFT, 8, movetoworkspace, 8
bind = $altMod SHIFT, 9, movetoworkspace, 9
bind = $altMod SHIFT, 0, movetoworkspace, 10

bind = $altMod, U, movetoworkspace, -1
bind = $altMod, I, movetoworkspace, +1

bind = $altMod SHIFT, space, togglefloating,

bind=$altMod, escape, exec, swaylock -i ~/wallpapers/lock.png

# Move/resize windows with altMod + LMB/RMB and dragging
bindm = $altMod, mouse:272, movewindow
bindm = $altMod, mouse:273, resizewindow

general {
    gaps_out = 5
}

